# Class LutSteal

java.lang.Object
uk.ac.starlink.ttools.plot.LutSteal

public class LutSteal extends Object
Acquires a lookup table by scraping pixels from a colour ramp icon.

Since:
  28 Aug 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LutSteal(Icon icon, boolean horiz)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method.
`void`
`writeLut(OutputStream out, boolean verbose)`
Writes the strip of pixels down the middle of the ramp icon as a lookup table that can be used by the Shaders class.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LutSteal

public LutSteal(Icon icon, boolean horiz)
Constructor.

Parameters:
  `icon` - icon containing color ramp
  `horiz` - true to traverse ramp horizontally, false for vertically

## Method Details

### writeLut

public void writeLut(OutputStream out, boolean verbose) throws IOException
Writes the strip of pixels down the middle of the ramp icon as a lookup table that can be used by the Shaders class.

Parameters:
  `out` - output stream
  `verbose` - true to write RGB values to stderr
Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException
Main method. Run with -h for help.

Throws:
  `IOException`